For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all policy amendment intents for a policy
      • POSTCreate a new policy amendment intent
      • GETRetrieve a policy amendment intent
      • POSTConfirm policy amendment intent
      • POSTCancel a policy amendment intent
      • POSTCreate a dependents management intent for a policy amendment
    • API Errors
Get access
LogoLogo
API ReferencePolicy Amendment Intents

Retrieve a policy amendment intent

GET
/policies/:policy_id/policy_amendment_intents/:policy_amendment_intent_id
GET
/policies/:policy_id/policy_amendment_intents/:policy_amendment_intent_id
$curl https://test.api.kota.io/policies/p_3b1333d87d9d4fd6ad83ba7f6b0e951a/policy_amendment_intents/pai_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>"
1{
2 "id": "pai_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "policy_id": "p_3b1333d87d9d4fd6ad83ba7f6b0e951a",
4 "status": "action_required",
5 "amendment_reason": {
6 "type": "initial_adjustment_period"
7 },
8 "requested_changes": [
9 {
10 "change_type": "dependents"
11 }
12 ],
13 "disclosures": [
14 {
15 "category": "regulatory",
16 "type": "intermediary_role",
17 "text": "string"
18 }
19 ],
20 "object": "string"
21}

Retrieves a policy_amendment_intent object.

Previous

Create a new policy amendment intent

Next

Confirm policy amendment intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

policy_idstringRequiredformat: "p_.+"
policy_amendment_intent_idstringRequiredformat: "pai_.+"

Response

OK
idstringformat: "pai_.+"

Unique identifier for the policy amendment intent. Prefixed with pai_.

policy_idstringformat: "p_.+"

The policy ID for which the amendment is requested. Prefixed with p_.

statusenum
Current status of the policy amendment intent.
amendment_reasonobject
The reason for the policy amendment.
requested_changeslist of objects
List of requested changes to the policy.
disclosureslist of objects
Disclosures associated with this intent.
objectstringRead-only
Object type identifier.
required_actionobject

Information about the required action if the intent status is action_required.

pending_confirmationobject

Information about the pending confirmation if the intent status is pending_confirmation.

processing_errorobject

Information about the processing error if the intent status is processing_error.

Errors

404
Not Found Error